streaming_node< tuple< Ports... >, JP, StreamFactory >::kernel_body Class Reference
Inheritance diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::kernel_body:
Collaboration diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::kernel_body:

## Public Member Functions

| kernel_body (const streaming_node &node)
void | operator() (kernel_input_tuple ip, typename args_storage_base::output_ports_type &op)

## Private Attributes

const streaming_node & | my_node

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

### template<typename... Ports, typename JP, typename StreamFactory>
class streaming_node< tuple< Ports... >, JP, StreamFactory >::kernel_body

Definition at line 634 of file _flow_graph_streaming_node.h.

## Constructor & Destructor Documentation

## kernel_body()

template<typename... Ports, typename JP , typename StreamFactory >

streaming_node< tuple< Ports... >, JP, StreamFactory >::kernel_body::kernel_body | ( | const streaming_node< tuple< Ports... >, JP, StreamFactory > & | node | ) |

inline

Definition at line 636 of file _flow_graph_streaming_node.h.

: my_node( node ) {}
streaming_node< tuple< Ports... >, JP, StreamFactory >::kernel_body::my_node
const streaming_node & my_node
Definition: _flow_graph_streaming_node.h:644

## Member Function Documentation

## operator()()

template<typename... Ports, typename JP , typename StreamFactory >

void streaming_node< tuple< Ports... >, JP, StreamFactory >::kernel_body::operator() | ( | kernel_input_tuple | ip,
|  | typename args_storage_base::output_ports_type & | op
| ) |  |

inline

Definition at line 638 of file _flow_graph_streaming_node.h.

{
__TBB_ASSERT( (my_node.my_args_storage != NULL), "No arguments storage" );
// 'ip' is passed by value to create local copy for updating inside enqueue_kernel()
my_node.my_args_storage->enqueue( ip, op, my_node );
}
__TBB_ASSERT
#define __TBB_ASSERT(predicate, comment)
No-op version of __TBB_ASSERT.
Definition: tbb_stddef.h:165

References __TBB_ASSERT.

## Member Data Documentation

## my_node

template<typename... Ports, typename JP , typename StreamFactory >

const streaming_node& streaming_node< tuple< Ports... >, JP, StreamFactory >::kernel_body::my_node

private

Definition at line 644 of file _flow_graph_streaming_node.h.

The documentation for this class was generated from the following file:

- _flow_graph_streaming_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.